#
# spec file for package semi-xemacs (Version 1.14.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake compface cyrus-sasl flim-xemacs gpm libjpeg libpng libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel xaw3d xemacs xemacs-info xpm xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compface compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex flim-xemacs gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xemacs xemacs-info xshared

Name:         semi-xemacs
Copyright:    GPL
Group:        Applications/Editors/Emacs
Requires:     xemacs
Autoreqprov:  on
Version:      1.14.3
Release:      87
URL:          ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14
Source0:      ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14/semi-%{version}.tar.bz2
Summary:      library to provide MIME feature for XEmacs
BuildRoot:    %{_tmppath}/%{name}-root/
BuildArch:    noarch
%define prefix  /usr

%description
SEMI is a library to provide MIME feature for XEmacs.  MIME is a
proposed internet standard for including content and headers other
than (ASCII) plain text in messages

Authors:
--------
    MORIOKA Tomohiko <tomo@m17n.org>

SuSE series: e

%prep
%setup -n semi-%{version}

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
make package PACKAGEDIR=%{xemacs_package_dir}

%install
make install-package PACKAGEDIR=$RPM_BUILD_ROOT%{xemacs_package_dir}

%files 
%defattr(-,root,root)
%doc NEWS README* ChangeLog SEMI* TODO VERSION
%{xemacs_package_dir}/*

%changelog -n semi-xemacs
* Fri Aug 10 2001 - mfabian@suse.de
- update to version 1.14.3
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Tue Mar 27 2001 - mfabian@suse.de
- added flim-xemacs to "# neededforbuild"
* Sat Mar 24 2001 - mfabian@suse.de
- new package: semi-xemacs, version 1.13.7
